# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name warp

Name:           ghc-%{pkg_name}
Version:        1.3.8.2
Release:        1%{?dist}
Summary:        Fast light-weight web server for WAI applications

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-blaze-builder-conduit-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-conduit-devel
BuildRequires:  ghc-simple-sendfile-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-void-devel
BuildRequires:  ghc-wai-devel
# End cabal-rpm deps

%description
A fast, light-weight web server for WAI applications.
Warp is the premier WAI handler.
See http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 1.3.8.2-1
- update to 1.3.8.2

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 1.3.7.4-2
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.3.7.4-1
- update to 1.3.7.4

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 1.3.4.1-1
- update to 1.3.4.1

* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 1.2.2-1
- update to 1.2.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-2
- rebuild

* Sat Jun  2 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-1
- update to 1.2.1.1
- license is now MIT
- depends on network-conduit

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-3
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-2
- rebuild

* Mon Jan 16 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-1
- update to 0.4.6.3 and cabal2spec-0.25.2

* Fri Dec 16 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.2-1
- update to 0.4.6.2

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.1-1
- BSD; add deps

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
